Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.dao
Interface CategoryDAO

All Known Implementing Classes:
  FileCategoryDAO

    public interface CategoryDAO

Method Summary
`void` | `addCategory(Category category, Blog blog)` Adds the specified category.
`void` | `deleteCategory(Category category, Blog blog)` Removes the specified category.
`Category` | `getCategories(Blog blog)` Loads the categories.
`void` | `updateCategory(Category category, Blog blog)` Updates the specified category.

Method Detail

### getCategories

    Category getCategories(Blog blog)
                           throws PersistenceException

  Loads the categories.

  Parameters:
    `blog` - the owning blog
  Returns:
    a Collection of Category instances
  Throws:
    `PersistenceException` - if categories cannot be loaded

### addCategory

    void addCategory(Category category,
                     Blog blog)
                     throws PersistenceException

  Adds the specified category.

  Parameters:
    `category` - the Category instance to be added
    `blog` - the owning blog
  Throws:
    `PersistenceException` - if something goes wrong storing the category

### updateCategory

    void updateCategory(Category category,
                        Blog blog)
                        throws PersistenceException

  Updates the specified category.

  Parameters:
    `category` - the Category instance to be updated
    `blog` - the owning blog
  Throws:
    `PersistenceException` - if something goes wrong storing the category

### deleteCategory

    void deleteCategory(Category category,
                        Blog blog)
                        throws PersistenceException

  Removes the specified category.

  Parameters:
    `category` - the Category instance to be removed
    `blog` - the owning blog
  Throws:
    `PersistenceException` - if something goes wrong removing the category

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.